// RepositoryFactory.js

import GroupRepository from './groupRepository';
import UserRepository from './userRepository';
import PermissionRepository from './permissionsRepository';

import RoomRepository from './roomRepository';
import RecorderRepository from './recorderRepository';
import CommandRepository from './commandRepository';

import ControlRepository from './controlRepository';


export default function get(name: string) {
    switch (name) {
        case 'group': {
            return GroupRepository;
        }
        case 'recorder': {
            return RecorderRepository;
        }
        case 'room': {
            return RoomRepository;
        }
        case 'user': {
            return UserRepository;
        }
        case 'permission': {
            return PermissionRepository;
        }
        case 'command': {
            return CommandRepository;
        }
        case 'control': {
            return ControlRepository;
        }
        default: {
            // statements;
            break;
        }
    }
}
